Package com.ocient.jdbc.proto

## Class PlanProtocol.SwitchOperator

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.SwitchOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SwitchOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.SwitchOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.SwitchOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.SwitchOperator`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.SwitchOperator.Builder` Protobuf type `xg.db.sqlPlans.SwitchOperator`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `FILTERS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static PlanProtocol.SwitchOperator` `getDefaultInstance()`
`PlanProtocol.SwitchOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`PlanProtocol.CNF` `getFilters​(int index)` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`int` `getFiltersCount()` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<PlanProtocol.CNF>` `getFiltersList()` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNFOrBuilder` `getFiltersOrBuilder​(int index)` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<? extends PlanProtocol.CNFOrBuilder>` `getFiltersOrBuilderList()` the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`com.google.protobuf.Parser<PlanProtocol.SwitchOperator>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.SwitchOperator.Builder` `newBuilder()`
`static PlanProtocol.SwitchOperator.Builder` `newBuilder​(PlanProtocol.SwitchOperator prototype)`
`PlanProtocol.SwitchOperator.Builder` `newBuilderForType()`
`protected PlanProtocol.SwitchOperator.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.SwitchOperator` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.SwitchOperator` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SwitchOperator` `parseFrom​(byte[] data)`
`static PlanProtocol.SwitchOperator` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SwitchOperator` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.SwitchOperator` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SwitchOperator` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.SwitchOperator` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SwitchOperator` `parseFrom​(InputStream input)`
`static PlanProtocol.SwitchOperator` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SwitchOperator` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.SwitchOperator` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.SwitchOperator>` `parser()`
`PlanProtocol.SwitchOperator.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### FILTERS_FIELD_NUMBER

    public static final int FILTERS_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getFiltersList

    public List<PlanProtocol.CNF> getFiltersList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

#### getFiltersOrBuilderList

    public List<? extends PlanProtocol.CNFOrBuilder> getFiltersOrBuilderList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

#### getFiltersCount

    public int getFiltersCount()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.SwitchOperatorOrBuilder`

#### getFilters

    public PlanProtocol.CNF getFilters​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFilters` in interface `PlanProtocol.SwitchOperatorOrBuilder`

#### getFiltersOrBuilder

    public PlanProtocol.CNFOrBuilder getFiltersOrBuilder​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.SwitchOperatorOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(ByteBuffer data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(ByteBuffer data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(com.google.protobuf.ByteString data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(com.google.protobuf.ByteString data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(byte[] data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(byte[] data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(InputStream input)
                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(InputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.SwitchOperator parseDelimitedFrom​(InputStream input)
                                                          throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.SwitchOperator parseDelimitedFrom​(InputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(com.google.protobuf.CodedInputStream input)
                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SwitchOperator parseFrom​(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.SwitchOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.SwitchOperator.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.SwitchOperator.Builder newBuilder​(PlanProtocol.SwitchOperator prototype)

#### toBuilder

    public PlanProtocol.SwitchOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.SwitchOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.SwitchOperator getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.SwitchOperator> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.SwitchOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.SwitchOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`